Bug 31625 - Vote for your app
Vote for your app
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 3.1
Other Linux
: P5 enhancement (vote)
: UCS 3.1-1-errata
Assigned To: Dirk Wiesenthal
Alexander Kläser
:
Depends on:
Blocks: 31854
  Show dependency treegraph
 
Reported: 2013-06-04 06:29 CEST by Stefan Gohmann
Modified: 2013-07-10 14:18 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-06-04 06:29:13 CEST
We have a new site on our website:
 https://www.univention.de/produkte/ucs/app-katalog/vote-for-app/
 https://www.univention.de/en/products/ucs/app-catalogue/vote-for-app/

On it you can vote for your favorite app which is currently missing.

We should add a button to the App Center in UMC which links to the website.

Maybe above the search input or below the categories. If we put it below the categories we should ensure that the category list is limited.
Comment 1 Dirk Wiesenthal univentionstaff 2013-06-09 23:05:52 CEST
I see. And the title of this link shall be "Vote for app!"? German translation does not exist, right?

Before I clicked on the link above I thought this would be some kind of rating system for existing apps. The title is not going to change at least for the App Center to avoid confusion?

"Missing an app?"
"Request new app!"
"Didn't find what you were looking for?"
Comment 2 Stefan Gohmann univentionstaff 2013-06-11 06:20:29 CEST
(In reply to Dirk Wiesenthal from comment #1)
> I see. And the title of this link shall be "Vote for app!"? German
> translation does not exist, right?

On the website you can find "Neue Applikationen für Univention App Center wählen". On the the english site: "Select new applications for Univention App Center". But that seems to be too long.

I think we should check the place where to put the button and how much space we have.

> Before I clicked on the link above I thought this would be some kind of
> rating system for existing apps. The title is not going to change at least
> for the App Center to avoid confusion?
> 
> "Missing an app?"
> "Request new app!"
> "Didn't find what you were looking for?"

Or maybe "Suggest new app"? But lets check first of all how much space we have and if we should use the same button like this one: 
 https://www.univention.de/en/products/ucs/app-catalogue/
Comment 3 Dirk Wiesenthal univentionstaff 2013-06-28 16:30:13 CEST
Fixed in
  univention-management-console-module-appcenter 2.0.139-14.143.201306281536
and
  univention-management-console-module-appcenter 3.0.1-1.144.201306281606

YAML: 2013-06-28-univention-management-console-module-appcenter.yaml
Changelog updated
Comment 4 Alexander Kläser univentionstaff 2013-07-04 16:11:16 CEST
Erratum changes → OK
YAML file → OK
3.2 changes → OK
3.2 changelog → OK
Comment 5 Moritz Muehlenhoff univentionstaff 2013-07-10 14:18:30 CEST
http://errata.univention.de/ucs/3.1/146.html